--
-- Wipers
-- Specialization for Wipers
--
-- @author  	Manuel Leithner (SFM-Modding)
-- @version 	v1.0
-- @date  		24/10/10
-- @history:	v1.0 - Initial version
--
-- free for noncommerical-usage
--

Wipers2 = {};

function Wipers2.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function Wipers2:load(xmlFile)
	self.wipers2 = {};
	self.wipers2.anim = getXMLString(xmlFile, "vehicle.wiper2#animName");
	self.wipers2.speed = getXMLFloat(xmlFile, "vehicle.wiper2#speed");
	self.wipers2.isActive = true;
end;

function Wipers2:delete()
end;

function Wipers2:readStream(streamId, connection)
end;

function Wipers2:writeStream(streamId, connection)
end;

function Wipers2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Wipers2:keyEvent(unicode, sym, modifier, isDown)
end;

function Wipers2:update(dt)
end;

function Wipers2:updateTick(dt)

	if self:getIsActive() then
		if self.wipers2.isActive then
			if not self:getIsAnimationPlaying(self.wipers2.anim) then
				self:playAnimation(self.wipers2.anim, self.wipers2.speed, 0, true);
			end;
		end;
		
		if g_currentMission.environment.lastRainScale > 0.1 and g_currentMission.environment.timeSinceLastRain < 30 then
			if not self.wipers2.isActive then
				self:playAnimation(self.wipers2.anim, self.wipers2.speed, Utils.clamp(self:getAnimationTime(self.wipers2.anim), 0, 1), true);
				self.wipers2.isActive = true;
			end;
		else
			if self.wipers2.isActive then
				self:setAnimationStopTime(self.wipers2.anim, 1);
				self.wipers2.isActive = true;
			end;
		end;
	end;
end;

function Wipers2:draw()	
end;

function Wipers2:onLeave()
	if self.wipers2.isActive then
		self:stopAnimation(self.wipers2.anim);	
	end;
end;

function Wipers2:onEnter()
	if self.wipers2.isActive then
		self:playAnimation(self.wipers2.anim, self.wipers2.speed, Utils.clamp(self:getAnimationTime(self.wipers2.anim), 0, 1), true);	
	end;
end;